Package Details: guiscrcpy 4.10.0-1

Git Clone URL: https://aur.archlinux.org/guiscrcpy.git (read-only, click to copy)
Package Base: guiscrcpy
Description: Open Source GUI based Android Screen Mirroring System
Upstream URL: https://guiscrcpy.github.io
Keywords: scrcpy
Licenses: GPL3
Submitter: yochananmarqos
Maintainer: yochananmarqos
Last Packager: yochananmarqos
Votes: 15
Popularity: 1.45
First Submitted: 2019-09-03 21:52
Last Updated: 2021-03-20 23:22

Dependencies (15)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

yochananmarqos commented on 2020-03-08 14:15

@Kr1ss: Oops, fixed.

Kr1ss commented on 2020-03-07 20:10

Thx for maintaining @yochananmarqos and for today's update. The current version fails to build because

1) you removed the patch file from the sources but apparently you forgot to also remove prepare().

2) the checksum of guiscrcpy.png doesn't match

Cheers !

E/ added 2)

E/2 Thx for fixing this so quickly ! :)

srevinsaju commented on 2020-01-11 16:53

Well, I don't know then, maybe its not finding them in the current directory, thats why. Thanks for your review

yochananmarqos commented on 2020-01-11 16:52

@srevinsaju: It's the same for the 2.0 tag as well as from the latest commit:

1.10
1.11.2
1.11.3
1.12.0
1.12.1
1.9.4
1.9.5
2.0
build
nightly
nightly-v1.11.25
v1.10.1
v1.10.2
v1.11
v1.9.7-release

srevinsaju commented on 2020-01-11 16:35

@yochananmarqos, what do you see when you enter git tag -l in the 2.0 cloned dir?

yochananmarqos commented on 2020-01-11 16:34

@srevinsaju: Again, this pulls the 2.0 tag from git, not the source tarball.

srevinsaju commented on 2020-01-11 16:31

Yes it is. I guess you download the src tarball, so .git is empty. It might be a possible explanation, however, I'm not sure

yochananmarqos commented on 2020-01-11 16:30

@srevinsaju: I'm not sure why, either. For some reason, guiscrcpy/.git/refs/tags/ is empty for the 2.0 tag. Is this warning during running setup.py related?

/usr/lib/python3.8/site-packages/setuptools/dist.py:481: UserWarning: The version specified ('') is an invalid version, this may not work as expected with newer versions of setuptools, pip, and PyPI. Please see PEP 440 for more details.
  warnings.warn(

srevinsaju commented on 2020-01-11 16:15

@yochananmarqos, fyi https://i.imgur.com/fe6OMCN.png. This is how it comes out. It has no functional defects. Its okay if its not fixed

srevinsaju commented on 2020-01-11 16:06

@yochananmarqos, I am quite new to PKGBUILDS. I will explain how guiscrcpy reads versions, It reads .git folder in guiscrcpy, extrats the latests tags, and number of commits agains it. But however guiscrcpy installed from AUR/guiscrcpy shows 0.0.0 Its either because (i) no tags were found (ii) A tag 0.0.0 existed

Options to fix it: * Remove all the version code from guiscrcpy, and hardcode the version than dynamically reading from .git folder * Chdir to pkgbuild folder where .git folder exists

AUR/guiscrcpy-git shows the version, but not AUR/guiscrcpy. I am not sure why